<?PHP
////++++++++++++++++ CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("Conections/$VpnEn.php");

$Cve_Modulo = "CMOD201506100041";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];


	/////////Identificar personalización 1 
		$sqlP1 = mysql_query("select * from wms_personaliza1 where ID='1'");
		if (mysql_numrows($sqlP1)==0) echo "";
		else{
		$registroP1=mysql_fetch_array($sqlP1);
		}
		if (mysql_numrows($sqlP1)>0)
		{
		$BBackg=$registroP1["BODY_BACKGROUND_IMG"];
		}
	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
		
	/////////Identificar personalización 3
		$sqlP3 = mysql_query("select * from wms_personaliza3 where ID='1'");
		if (mysql_numrows($sqlP3)==0) echo "";
		else{
		$registroP3=mysql_fetch_array($sqlP3);
		}
		if (mysql_numrows($sqlP3)>0)
		{
		$FuTi_Form=$registroP3["FUENTE_TITULOFORMULARIO"];
		$TaTi_Form=$registroP3["TAMANO_TITULOFORMULARIO"];
		$BgTi_Form=$registroP3["COLOR_TITULOFORMULARIO"];
		$FuCu_Form=$registroP3["FUENTE_FORMULARIO"];
		$TaCu_Form=$registroP3["TAMANO_FORMULARIO"];
		$BgCu_Form=$registroP3["COLOR_FORMULARIO"];
		$FonTi_Form=$registroP3["BG_TABLATITULO"];
		$FonCi_Form=$registroP3["BG_TABLACUERPO"];
		$FonSe_Form=$registroP3["BG_TABLASEPARACION"];
		$Borde_Form=$registroP3["BORDER_CAMPO"];
		$CamDe_Form=$registroP3["BG_CAMPODESHABILITADO"];
		$ClaBtn=$registroP3["CLASE_BOTON"];
		}
		
	/////////Identificar personalización 4
		$sqlP4 = mysql_query("select * from wms_personaliza4 where ID='1'");
		if (mysql_numrows($sqlP4)==0) echo "";
		else{
		$registroP4=mysql_fetch_array($sqlP4);
		}
		if (mysql_numrows($sqlP4)>0)
		{
		$Bord_Tabl=$registroP4["BG_BORDE"];
		$Fond_Tabl=$registroP4["BG_FONDOGRALTABLA"];
		$BgF1_Tabl=$registroP4["BG_FILA_1"];
		$BgF2_Tabl=$registroP4["BG_FILA_2"];
		$FTit_Tabl=$registroP4["FUENTE_TABLATITULO"];
		$TTit_Tabl=$registroP4["TAMANO_FUENTETABLATITULO"];
		$CFTi_Tabl=$registroP4["COLOR_FUENTETABLATITULO"];
		$FEnc_Tabl=$registroP4["FUENTE_TABLAENCA"];
		$TEnc_Tabl=$registroP4["TAMANO_FUENTETABLAENCA"];
		$CEnc_Tabl=$registroP4["COLOR_FUENTETABLAENCA"];
		$FCue_Tabl=$registroP4["FUENTE_TABLACUER"];
		$TCue_Tabl=$registroP4["TAMANO_FUENTETABLACUER"];
		$CCue_Tabl=$registroP4["COLOR_FUENTETABLACUER"];
		}		
		
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?USUkp=$UsuEn&IdDeAcc=$IDSeEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
	
	/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&' target='_parent'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
			
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
				$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlCR2)==0) echo "";
				else{
				$registroCR2=mysql_fetch_array($sqlCR2);
				}
				if (mysql_numrows($sqlCR2)>0)
				{
				$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
				}
								
				/////Arrastrando El Campo del Documento
				$NoDocCompleEn=$_GET['NoComplekp'];
				
				////Identificar los datos del Documento de Recibo
				$sqlIDR1 = mysql_query("select * from tabla_documentos where CVE_CUENTA='$CveCueCR1' AND NO_DOC_COMPLE='$NoDocCompleEn'");
				if (mysql_numrows($sqlIDR1)==0) echo "";
				else{
				$registroIDR1=mysql_fetch_array($sqlIDR1);
				}
				if (mysql_numrows($sqlIDR1)>0)
				{
				$VigeIDR1=$registroIDR1["VIGENCIA"];
				$EdoDIDR1=$registroIDR1["ESTADO_DOCUMENTO"];	
				}
				
				////Identificar Si el documento digitado Existe
				$sqlIDR2 = mysql_query("select * from tabla_documentos where CVE_CUENTA='$CveCueCR1' AND NO_DOC_COMPLE='$NoDocCompleEn'");
				if (mysql_numrows($sqlIDR2)==0) 
				{
				echo "<script>alert('El Documento de Recibo Digitado no Existe.\\nFavor de Corroborarlo.'); </script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=38-CierreDocumentoRecibo.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
				}
				else
				{ //// Inicia If Valiador del Documento Recibo
				
				////Identificar La caducidad de Documento
				if ($VigeIDR1<$Fecha)
				{
					echo "<script>alert('El Documento de Recibo por Cerrar ha Caducado.\\nFavor de Corroborarlo.'); </script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=38-CierreDocumentoRecibo.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
				}
				else
				{ //// Inicia If Valiador de Caducidad Documento
				
				////Identificar el estado del Documento
				if ($EdoDIDR1=="CERRADO")
				{
					echo "<script>alert('El Estado del Documento de Recibo no es apto para este proceso.\\nFavor de Corroborarlo.'); </script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=38-CierreDocumentoRecibo.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
				}
				else
				{ //// Inicia If Valiador de Estado de Documento

////++++++++++++++ FIN CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<?PHP echo"<link rel='stylesheet' href='cssBtn/style_Btns.css'>"; ?>
<link rel="shortcut icon" href="../WMS_Resources/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
body {
	background-image: url(../WMS_Resources/images/MainBkgr/<?PHP echo $BBackg; ?>);
}

.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: <?PHP echo $FuCu_Form; ?>;
	font-size:<?PHP echo $TaCu_Form; ?>px;
	color:<?PHP echo $BgCu_Form; ?>;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->
</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()">

<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<Br><Br><Br><Br><Br><Br><Br><Br>
<?PHP

		//////Arrastrando campos del Formulario
			/////$NoDocCompleEn=$_GET['NoComplekp'];
			
	/////////////////////TODO EL CODIGO DEL PROCESO//////////////////////////
					  
		$sql = "SELECT    tabla_recibo.ID, tabla_recibo.NO_DOCUMENTO, tabla_recibo.NO_DOC_COMPLE, tabla_recibo.SKU, tabla_recibo.SKU_ALT, tabla_recibo.DESCRIPCION, tabla_recibo.CANT_RECIBIDA, tabla_recibo.LOTE, tabla_recibo.LOTEWMS, tabla_recibo.LOTEPRODU, tabla_recibo.CADUCIDAD,tabla_recibo.NO_FACTURA,tabla_recibo.PIEZASXCAJA, tabla_recibo.CAJASXPALLET, tabla_documentos.PROVEEDOR FROM  tabla_documentos INNER JOIN tabla_recibo ON tabla_documentos.NO_DOC_COMPLE = tabla_recibo.NO_DOC_COMPLE where tabla_recibo.NO_DOC_COMPLE='$NoDocCompleEn' ORDER BY ID  ASC";
					  
					  		  		  
		$res=mysql_query($sql) or die('Error en la consulta: '.mysql_error());
							
		if (mysql_numrows($res)==0) 
		{
		echo "<script>alert('ADVERTENCIA:\\n\\nDocumento sin Recibo.');</script>";
		}
		
	/////////////////HORA y FECHA/////////////////////////////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			/////$FechaOk=date("d/m/Y");
			$FechaOk=date("Y/m/d");
			
			$FechaPallet=date("Ymd");
	/////////////////FIN HORA y FECHA/////////////////////////
			
		While($row = mysql_fetch_array($res,MYSQL_ASSOC))
			{
			$NoDocC=$row["NO_DOCUMENTO"];
			$SkuC=$row["SKU"];
			$SkuAltC=$row["SKU_ALT"];
			$DescripC=$row["DESCRIPCION"];			
			$CanReciC=$row["CANT_RECIBIDA"];
			$LoteC=$row["LOTE"];
			$LoteWmsC=$row["LOTEWMS"];
			$LoteProC=$row["LOTEPRODU"];
			$CaduC=$row["CADUCIDAD"];
			$NoFacC=$row["NO_FACTURA"];
			$PiXCajaC=$row["PIEZASXCAJA"];
			$CaXPallC=$row["CAJASXPALLET"];
			$ProvC=$row["PROVEEDOR"];
			
			
			$PiezasXCaja=$PiXCajaC;
			$CajasXPallet=$CaXPallC;

			$PiezasXPallet=$PiezasXCaja * $CajasXPallet;

			$CantidadRecibida=$CanReciC;

			$Divicion=$CantidadRecibida/$PiezasXPallet;
			$resto=$CantidadRecibida%$PiezasXPallet;

		////////////////////////////////////////////////////////
			$a=$Divicion; 
			$Decimal=$a-(int)$a; 
		///////////////////////////////////////////////////////		

			if ($resto=="0")
				{
				
				$Entero=$Divicion - $Decimal;

				$PiezasXPalletsEnteros=$Entero*$PiezasXPallet;

				$ArmadoFinal=$Entero. " pallets de ".$PiezasXPallet." piezas";
			////////////////////////////////////////////////////////////////////////////////////////////////////////////
				$TotPiezasArmado=$PiezasXPalletsEnteros + $PiezazXDecimal;

	////////////////GUADRADO EN LA BASE DE DATOS LOS REGISTROS //////////////////////////////////////
				$ContadorDePaso="0";
				While($ContadorDePaso<$Entero)
					{
					$ContadorDePaso=$ContadorDePaso+1;	
					/////$FechaOk=date("d/m/Y");
					$FechaOk=date("Y/m/d");
					
					/////////Identificar el prefijo configurado
					$sqlIDE1 = mysql_query("select * from wms_configura_pallet WHERE CVE_CUENTA='$CveCueCR1'");
					if (mysql_numrows($sqlIDE1)==0) echo "";
					else{
					$registroIDE1=mysql_fetch_array($sqlIDE1);
					}
					if (mysql_numrows($sqlIDE1)>0)
					{
					$PrefijoPal=$registroIDE1["PREFIJO"];
					}
					
					/////////Identificar Parametrizaciones de Recibo
					$sqlIDE2 = mysql_query("select wms_configura_recibo.*,tabla_ubicaciones.TIPODEUBICACION from wms_configura_recibo INNER JOIN tabla_ubicaciones ON tabla_ubicaciones.CLAVEUBICACION = wms_configura_recibo.CVE_UBICACION WHERE wms_configura_recibo.CVE_CUENTA='$CveCueCR1'");
					if (mysql_numrows($sqlIDE2)==0) echo "";
					else{
					$registroIDE2=mysql_fetch_array($sqlIDE2);
					}
					if (mysql_numrows($sqlIDE2)>0)
					{
					$UbicacionInicial=$registroIDE2["CVE_UBICACION"];
					$EdoCalidadInicial=$registroIDE2["CVE_ESTADOCALIDAD"];
					$tipoub=$registroIDE2["TIPODEUBICACION"];
					}
					
					/////////Identificar la Prioridad de Surtido de la Ubicacion de Recibo
					$sqlIDE3 = mysql_query("select * from tabla_prioridad WHERE CVE_CUENTA='$CveCueCR1' AND UBICACION='$UbicacionInicial'");
					if (mysql_numrows($sqlIDE3)==0) echo "";
					else{
					$registroIDE3=mysql_fetch_array($sqlIDE3);
					}
					if (mysql_numrows($sqlIDE3)>0)
					{
					$PrioriUR=$registroIDE3["PRIORIDAD"];
					}
					
			///////GENERADOR DE FOLIO PARA GUARDAR EL CONSECUTIVO DE LA CLAVE DEL PALLET DEL PALLET///////////
					$sqlIDP = "select max(IDINCRE) as ultimo_FOLIOP from tabla_consepallet where FECHA='$FechaPallet'"; 
					$libP = mysql_query($sqlIDP); 
					$rs_libP = mysql_fetch_assoc($libP); 
					$id_nuevoP = $rs_libP['ultimo_FOLIOP'] + 1;
				
					if ($id_nuevoP <=9)
					{
					$IdenCeros="0000";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
				
					if ($id_nuevoP >=10 and $id_nuevoP <=99)
					{
					$IdenCeros="000";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
				
					if ($id_nuevoP >=100 and $id_nuevoP <=999)
					{
					$IdenCeros="00";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
					
					if ($id_nuevoP >=1000 and $id_nuevoP <=9999)
					{
					$IdenCeros="0";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
										
					if ($id_nuevoP >=10000)
					{
					$ClavePallet=$PrefijoPal.$FechaPallet.$id_nuevoP;
					}
				
				
					/////$UbicacionInicial="100-1-1-1";
					/////$EdoCalidadInicial="D";
					
		///////GENERADOR DE FOLIO TABLA DE INVENTARIOS///////////
					$sqlID = "select max(ID) as ultimo_FOLIO from tabla_inventario"; 
					$lib = mysql_query($sqlID); 
					$rs_lib = mysql_fetch_assoc($lib); 
					$id_nuevo = $rs_lib['ultimo_FOLIO'] + 1;
				
		//////GUARDAR EL LA BD EL INVENTARIO//////////
					$FechaEnt=date("Y/m/d");
					$HoraAta=time();
					$HoraAlta=date("H:i:s",$HoraAta);
					
					$sql = "insert tabla_inventario (TIPO_UBICACION,ID,CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,NO_DOC_COMPLE,SKU,SKU_ALT,DESCRIPCION,FECHA_ENTRADA,CANTIDAD,LOTE,LOTEWMS,LOTEPRODU,CADUCIDAD,FACTURA,PROVEEDOR,PIEZASXCAJA,CAJASXPALLET,ARM_PALLET,NO_PALLET,UBICACION,PRIORIDAD,EDO_CALIDAD,USUARIO_ALTA,HORA,FECHA)
        		values('$tipoub',
'$id_nuevo','$CveBodCR1','$CveCueCR1','$NoDocC','$NoDocCompleEn','$SkuC','$SkuAltC','$DescripC','$FechaEnt','$PiezasXPallet','$LoteC','$LoteWmsC','$LoteProC','$CaduC','$NoFacC','$ProvC','$PiXCajaC','$CaXPallC','$ArmadoFinal','$ClavePallet','$UbicacionInicial','$PrioriUR','$EdoCalidadInicial','$UsuEn','$HoraAlta','$FechaOk')";
				
					$resultado=mysql_query($sql,$conexion) or die(mysql_error());
				
	//////******************************************************************************************************************************************//////	
		///////GENERADOR DE FOLIO PARA GUARDAR EL CONSECUTIVO DEL PALLET///////////
					$sqlIDP2 = "select max(ID) as ultimo_FOLIOP2 from tabla_consepallet"; 
					$libP2 = mysql_query($sqlIDP2); 
					$rs_libP2 = mysql_fetch_assoc($libP2); 
					$id_nuevoP2 = $rs_libP2['ultimo_FOLIOP2'] + 1;
									
		//////GUARDAR EL LA BD EL CONSECUTIVO DEL NO DE PALLET//////////
					$sql = "insert tabla_consepallet (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_DOCUMENTO,NO_PALLET,FECHA)
        			values('$id_nuevoP2','$CveBodCR1','$CveCueCR1','$id_nuevoP','$NoDocC','$ClavePallet','$FechaPallet')";
				
					$resultado=mysql_query($sql,$conexion) or die(mysql_error());
	//////******************************************************************************************************************************************//////	
	
		//////////GUARDAR LA HORA DE CIERRE EN LA TABLA - ALTA DOCUMENTOS//////////
					$EdoNewMod="CERRADO";
					$FechaDCOk=date("Y/m/d");
					$sql="UPDATE tabla_documentos SET FECHA_CIE='$FechaDCOk',HORA_CIE='$HoraOK',ESTADO_DOCUMENTO='$EdoNewMod' WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOC_COMPLE='$NoDocCompleEn'";
					$resultado=mysql_query($sql,$conexion) or die(mysql_error());
		//////FIN GUARDAR LA HORA DE CIERRE EN LA TABLA - ALTA DOCUMENTOS//////////	
		
		//////////GUARDA Y ALTERA LA TABLA - KARDEX////////////////////////////////	
		
		///////GENERADOR DE FOLIO PARA GUARDAR EL KARDEX///////////
					$sqlIDPK = "select max(ID) as ultimo_FOLIOPK from tabla_kardex"; 
					$libPK = mysql_query($sqlIDPK); 
					$rs_libPK = mysql_fetch_assoc($libPK); 
					$id_nuevoPK = $rs_libPK['ultimo_FOLIOPK'] + 1;
					
					$NombreMovimiento="RECIBO";
					$sqlk = "insert tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,FECHA,HORA,USUARIO)
					values('$id_nuevoPK','$CveBodCR1','$CveCueCR1','$SkuC','$SkuAltC','$NoDocC','$NombreMovimiento','$UbicacionInicial','$ClavePallet','$PiezasXPallet','$FechaEnt','$HoraOK','$UsuEn')";
					
					$resultadok=mysql_query($sqlk,$conexion) or die(mysql_error());
		//////FIN GUARDA Y ALTERA LA TABLA - KARDEX///////////////////////////////				
					
					}////Termina While de Guardado
				}///////////////////////////////CIERRE DE CONDICION
			else
				{///////////////////////////////ABRE CONDICION 
				$Entero=$Divicion - $Decimal;

				$PiezasXPalletsEnteros=$Entero*$PiezasXPallet;

				$ArmadoFinal=$Entero. " pallets de ".$PiezasXPallet." piezas";
			////////////////////////////////////////////////////////////////////////////////////////////////////////////
				$PalletDecimalUnico="1";
				$PiezazXDecimal=$Decimal * $PiezasXPallet;

				$TotPiezasArmado=$PiezasXPalletsEnteros + $PiezazXDecimal;

				////////////////GUADRADO EN LA BASE DE DATOS LOS REGISTROS //////////////////////////////////////
				$ContadorDePaso="0";
				While($ContadorDePaso<$Entero)
					{
					$ContadorDePaso=$ContadorDePaso+1;	
					
					/////////Identificar el prefijo configurado
					$sqlIDE1 = mysql_query("select * from wms_configura_pallet WHERE CVE_CUENTA='$CveCueCR1'");
					if (mysql_numrows($sqlIDE1)==0) echo "";
					else{
					$registroIDE1=mysql_fetch_array($sqlIDE1);
					}
					if (mysql_numrows($sqlIDE1)>0)
					{
					$PrefijoPal=$registroIDE1["PREFIJO"];
					}
										
					/////////Identificar Parametrizaciones de Recibo
					$sqlIDE2 = mysql_query("select wms_configura_recibo.*,tabla_ubicaciones.TIPODEUBICACION from wms_configura_recibo INNER JOIN tabla_ubicaciones ON tabla_ubicaciones.CLAVEUBICACION = wms_configura_recibo.CVE_UBICACION WHERE wms_configura_recibo.CVE_CUENTA='$CveCueCR1'");
					if (mysql_numrows($sqlIDE2)==0) echo "";
					else{
					$registroIDE2=mysql_fetch_array($sqlIDE2);
					}
					if (mysql_numrows($sqlIDE2)>0)
					{
					$UbicacionInicial=$registroIDE2["CVE_UBICACION"];
					$EdoCalidadInicial=$registroIDE2["CVE_ESTADOCALIDAD"];
					$tipoub=$registroIDE2["TIPODEUBICACION"];
					}
					
					/////////Identificar la Prioridad de Surtido de la Ubicacion de Recibo
					$sqlIDE3 = mysql_query("select * from tabla_prioridad WHERE CVE_CUENTA='$CveCueCR1' AND UBICACION='$UbicacionInicial'");
					if (mysql_numrows($sqlIDE3)==0) echo "";
					else{
					$registroIDE3=mysql_fetch_array($sqlIDE3);
					}
					if (mysql_numrows($sqlIDE3)>0)
					{
					$PrioriUR=$registroIDE3["PRIORIDAD"];
					}

					///////GENERADOR DE FOLIO PARA GUARDAR EL CONSECUTIVO DE LA CLAVE DEL PALLET DEL PALLET///////////
					$sqlIDP = "select max(IDINCRE) as ultimo_FOLIOP from tabla_consepallet where FECHA='$FechaPallet'"; 
					$libP = mysql_query($sqlIDP); 
					$rs_libP = mysql_fetch_assoc($libP); 
					$id_nuevoP = $rs_libP['ultimo_FOLIOP'] + 1;
				
					if ($id_nuevoP <=9)
					{
					$IdenCeros="0000";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
				
					if ($id_nuevoP >=10 and $id_nuevoP <=99)
					{
					$IdenCeros="000";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
				
					if ($id_nuevoP >=100 and $id_nuevoP <=999)
					{
					$IdenCeros="00";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
					
					if ($id_nuevoP >=1000 and $id_nuevoP <=9999)
					{
					$IdenCeros="0";
					$ClavePallet=$PrefijoPal.$FechaPallet.$id_nuevoP;
					}
										
					if ($id_nuevoP >=10000)
					{
					$ClavePallet=$PrefijoPal.$FechaPallet.$id_nuevoP;
					}
				
					/////$UbicacionInicial="100-1-1-1";
					/////$EdoCalidadInicial="D";
					
		///////GENERADOR DE FOLIO TABLA DE INVENTARIOS///////////
					$sqlID = "select max(ID) as ultimo_FOLIO from tabla_inventario"; 
					$lib = mysql_query($sqlID); 
					$rs_lib = mysql_fetch_assoc($lib); 
					$id_nuevo = $rs_lib['ultimo_FOLIO'] + 1;
				
		//////GUARDAR EL LA BD EL INVENTARIO//////////
					$FechaEnt=date("Y/m/d");
					$HoraAta=time();
					$HoraAlta=date("H:i:s",$HoraAta);
					
					$sql = "insert tabla_inventario (TIPO_UBICACION,ID,CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,NO_DOC_COMPLE,SKU,SKU_ALT,DESCRIPCION,FECHA_ENTRADA,CANTIDAD,LOTE,LOTEWMS,LOTEPRODU,CADUCIDAD,FACTURA,PROVEEDOR,PIEZASXCAJA,CAJASXPALLET,ARM_PALLET,NO_PALLET,UBICACION,PRIORIDAD,EDO_CALIDAD,USUARIO_ALTA,HORA,FECHA)
        		values('$tipoub','$id_nuevo','$CveBodCR1','$CveCueCR1','$NoDocC','$NoDocCompleEn','$SkuC','$SkuAltC','$DescripC','$FechaEnt','$PiezasXPallet','$LoteC','$LoteWmsC','$LoteProC','$CaduC','$NoFacC','$ProvC','$PiXCajaC','$CaXPallC','$ArmadoFinal','$ClavePallet','$UbicacionInicial','$PrioriUR','$EdoCalidadInicial','$UsuEn','$HoraAlta','$FechaOk')";
				
					$resultado=mysql_query($sql,$conexion) or die(mysql_error());
				
	//////******************************************************************************************************************************************//////	
		///////GENERADOR DE FOLIO PARA GUARDAR EL CONSECUTIVO DEL PALLET///////////
					$sqlIDP2 = "select max(ID) as ultimo_FOLIOP2 from tabla_consepallet"; 
					$libP2 = mysql_query($sqlIDP2); 
					$rs_libP2 = mysql_fetch_assoc($libP2); 
					$id_nuevoP2 = $rs_libP2['ultimo_FOLIOP2'] + 1;
									
		//////GUARDAR EL LA BD EL CONSECUTIVO DEL NO DE PALLET//////////
					$sql = "insert tabla_consepallet (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_DOCUMENTO,NO_PALLET,FECHA)
        			values('$id_nuevoP2','$CveBodCR1','$CveCueCR1','$id_nuevoP','$NoDocC','$ClavePallet','$FechaPallet')";
				
					$resultado=mysql_query($sql,$conexion) or die(mysql_error());
	//////******************************************************************************************************************************************//////
	
		//////////GUARDAR LA HORA DE CIERRE EN LA TABLA - ALTA DOCUMENTOS//////////
					$EdoNewMod="CERRADO";
					$FechaDCOk=date("Y/m/d");
					$sql="UPDATE tabla_documentos SET FECHA_CIE='$FechaDCOk',HORA_CIE='$HoraOK',ESTADO_DOCUMENTO='$EdoNewMod' WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOC_COMPLE='$NoDocCompleEn'";
					$resultado=mysql_query($sql,$conexion) or die(mysql_error());
		//////FIN GUARDAR LA HORA DE CIERRE EN LA TABLA - ALTA DOCUMENTOS//////////	
			
		//////////GUARDA Y ALTERA LA TABLA - KARDEX////////////////////////////////	
		
		///////GENERADOR DE FOLIO PARA GUARDAR EL KARDEX///////////
					$sqlIDPK = "select max(ID) as ultimo_FOLIOPK from tabla_kardex"; 
					$libPK = mysql_query($sqlIDPK); 
					$rs_libPK = mysql_fetch_assoc($libPK); 
					$id_nuevoPK = $rs_libPK['ultimo_FOLIOPK'] + 1;
					
					$NombreMovimiento="RECIBO";
					$sqlk = "insert tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,FECHA,HORA,USUARIO)
					values('$id_nuevoPK','$CveBodCR1','$CveCueCR1','$SkuC','$SkuAltC','$NoDocC','$NombreMovimiento','$UbicacionInicial','$ClavePallet','$PiezasXPallet','$FechaEnt','$HoraOK','$UsuEn')";
					
					$resultadok=mysql_query($sqlk,$conexion) or die(mysql_error());
		//////FIN GUARDA Y ALTERA LA TABLA - KARDEX///////////////////////////////	

					}
////Aqui Raro					
				$ArmadoFinalUnico=$PalletDecimalUnico." pallet de ".$PiezazXDecimal;
				
				/////////Identificar el prefijo configurado
					$sqlIDE1 = mysql_query("select * from wms_configura_pallet WHERE CVE_CUENTA='$CveCueCR1'");
					if (mysql_numrows($sqlIDE1)==0) echo "";
					else{
					$registroIDE1=mysql_fetch_array($sqlIDE1);
					}
					if (mysql_numrows($sqlIDE1)>0)
					{
					$PrefijoPal=$registroIDE1["PREFIJO"];
					}
					
					/////////Identificar Parametrizaciones de Recibo
					$sqlIDE2 = mysql_query("select wms_configura_recibo.*,tabla_ubicaciones.TIPODEUBICACION from wms_configura_recibo INNER JOIN tabla_ubicaciones ON tabla_ubicaciones.CLAVEUBICACION = wms_configura_recibo.CVE_UBICACION WHERE wms_configura_recibo.CVE_CUENTA='$CveCueCR1'");
					if (mysql_numrows($sqlIDE2)==0) echo "";
					else{
					$registroIDE2=mysql_fetch_array($sqlIDE2);
					}
					if (mysql_numrows($sqlIDE2)>0)
					{
					$UbicacionInicial=$registroIDE2["CVE_UBICACION"];
					$EdoCalidadInicial=$registroIDE2["CVE_ESTADOCALIDAD"];
					$tipoub=$registroIDE2["TIPODEUBICACION"];
					}
					
					/////////Identificar la Prioridad de Surtido de la Ubicacion de Recibo
					$sqlIDE3 = mysql_query("select * from tabla_prioridad WHERE CVE_CUENTA='$CveCueCR1' AND UBICACION='$UbicacionInicial'");
					if (mysql_numrows($sqlIDE3)==0) echo "";
					else{
					$registroIDE3=mysql_fetch_array($sqlIDE3);
					}
					if (mysql_numrows($sqlIDE3)>0)
					{
					$PrioriUR=$registroIDE3["PRIORIDAD"];
					}
				
				///////GENERADOR DE FOLIO PARA GUARDAR EL CONSECUTIVO DE LA CLAVE DEL PALLET DEL PALLET///////////
					$sqlIDP = "select max(IDINCRE) as ultimo_FOLIOP from tabla_consepallet where FECHA='$FechaPallet'"; 
					$libP = mysql_query($sqlIDP); 
					$rs_libP = mysql_fetch_assoc($libP); 
					$id_nuevoP = $rs_libP['ultimo_FOLIOP'] + 1;
				
					if ($id_nuevoP <=9)
					{
					$IdenCeros="0000";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
				
					if ($id_nuevoP >=10 and $id_nuevoP <=99)
					{
					$IdenCeros="000";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
				
					if ($id_nuevoP >=100 and $id_nuevoP <=999)
					{
					$IdenCeros="00";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
					
					if ($id_nuevoP >=1000 and $id_nuevoP <=9999)
					{
					$IdenCeros="0";
					$ClavePallet=$PrefijoPal.$FechaPallet.$id_nuevoP;
					}
										
					if ($id_nuevoP >=10000)
					{
					$ClavePallet=$PrefijoPal.$FechaPallet.$id_nuevoP;
					}
				
					/////$UbicacionInicial="100-1-1-1";
					/////$EdoCalidadInicial="D";
					
		///////GENERADOR DE FOLIO TABLA DE INVENTARIOS///////////
					$sqlID = "select max(ID) as ultimo_FOLIO from tabla_inventario"; 
					$lib = mysql_query($sqlID); 
					$rs_lib = mysql_fetch_assoc($lib); 
					$id_nuevo = $rs_lib['ultimo_FOLIO'] + 1;
				
		//////GUARDAR EL LA BD EL INVENTARIO//////////
					$FechaEnt=date("Y/m/d");
					$HoraAta=time();
					$HoraAlta=date("H:i:s",$HoraAta);
					
					$sql = "insert tabla_inventario (TIPO_UBICACION,ID,CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,NO_DOC_COMPLE,SKU,SKU_ALT,DESCRIPCION,FECHA_ENTRADA,CANTIDAD,LOTE,LOTEWMS,LOTEPRODU,CADUCIDAD,FACTURA,PROVEEDOR,PIEZASXCAJA,CAJASXPALLET,ARM_PALLET,NO_PALLET,UBICACION,PRIORIDAD,EDO_CALIDAD,USUARIO_ALTA,HORA,FECHA)
        		values('$tipoub','$id_nuevo','$CveBodCR1','$CveCueCR1','$NoDocC','$NoDocCompleEn','$SkuC','$SkuAltC','$DescripC','$FechaEnt','$PiezazXDecimal','$LoteC','$LoteWmsC','$LoteProC','$CaduC','$NoFacC','$ProvC','$PiXCajaC','$CaXPallC','$ArmadoFinalUnico','$ClavePallet','$UbicacionInicial','$PrioriUR','$EdoCalidadInicial','$UsuEn','$HoraAlta','$FechaOk')";
				
					$resultado=mysql_query($sql,$conexion) or die(mysql_error());
				
	//////******************************************************************************************************************************************//////	
		///////GENERADOR DE FOLIO PARA GUARDAR EL CONSECUTIVO DEL PALLET///////////
					$sqlIDP2 = "select max(ID) as ultimo_FOLIOP2 from tabla_consepallet"; 
					$libP2 = mysql_query($sqlIDP2); 
					$rs_libP2 = mysql_fetch_assoc($libP2); 
					$id_nuevoP2 = $rs_libP2['ultimo_FOLIOP2'] + 1;
									
		//////GUARDAR EL LA BD EL CONSECUTIVO DEL NO DE PALLET//////////
					$sql = "insert tabla_consepallet (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_DOCUMENTO,NO_PALLET,FECHA)
        			values('$id_nuevoP2','$CveBodCR1','$CveCueCR1','$id_nuevoP','$NoDocC','$ClavePallet','$FechaPallet')";
				
					$resultado=mysql_query($sql,$conexion) or die(mysql_error());
	//////******************************************************************************************************************************************//////	

		//////////GUARDAR LA HORA DE CIERRE EN LA TABLA - ALTA DOCUMENTOS//////////
					$EdoNewMod="CERRADO";
					$FechaDCOk=date("Y/m/d");
					$sql="UPDATE tabla_documentos SET FECHA_CIE='$FechaDCOk',HORA_CIE='$HoraOK',ESTADO_DOCUMENTO='$EdoNewMod' WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOC_COMPLE='$NoDocCompleEn'";
					$resultado=mysql_query($sql,$conexion) or die(mysql_error());
		//////FIN GUARDAR LA HORA DE CIERRE EN LA TABLA - ALTA DOCUMENTOS//////////	
		
		//////////GUARDA Y ALTERA LA TABLA - KARDEX////////////////////////////////	
		
		///////GENERADOR DE FOLIO PARA GUARDAR EL KARDEX///////////
					$sqlIDPK = "select max(ID) as ultimo_FOLIOPK from tabla_kardex"; 
					$libPK = mysql_query($sqlIDPK); 
					$rs_libPK = mysql_fetch_assoc($libPK); 
					$id_nuevoPK = $rs_libPK['ultimo_FOLIOPK'] + 1;
					
					$NombreMovimiento="RECIBO";
					$sqlk = "insert tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,FECHA,HORA,USUARIO)
					values('$id_nuevoPK','$CveBodCR1','$CveCueCR1','$SkuC','$SkuAltC','$NoDocC','$NombreMovimiento','$UbicacionInicial','$ClavePallet','$PiezazXDecimal','$FechaEnt','$HoraOK','$UsuEn')";
					
					$resultadok=mysql_query($sqlk,$conexion) or die(mysql_error());
		//////FIN GUARDA Y ALTERA LA TABLA - KARDEX///////////////////////////////	
					
			}//Termina el ELSE de la segunda condicion

		
		}//Termina While de Consulta de Codigos
			
		/////////////////FIN TODO EL CODIGO DEL PROCESO//////////////////////////
		
//// Inicia Cambio de Estado al No.Documento de Surtido en la tabla_asociaanden////
		$sqlAMD3="UPDATE tabla_asociaanden SET ESTADO_DOCUMENTO ='CERRADO' WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoDocCompleEn'";
		$resultadoAMD3=mysql_query($sqlAMD3,$conexion) or die(mysql_error());
		
//// Elimina el Anden utilizado en el Surtido - en otras Palabras Desasocia el Anden Usado////	
		$sql_RA = mysql_query("select * from tabla_asociaanden WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoDocCompleEn'");
		if (mysql_numrows($sql_RA)==0) echo "";
		else{
		$registro_RA=mysql_fetch_array($sql_RA);
		}
		if (mysql_numrows($sql_RA)>0)
		{
		$Anden_RA=$registro_RA["NO_ANDEN"];
		}	
		
		$sqlEU= "DELETE FROM tabla_andenesocupacion WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoDocCompleEn' AND NO_ANDEN='$Anden_RA'";
		$resultadoEU=mysql_query($sqlEU,$conexion) or die(mysql_error());
		
		
///#############################################################################################
///Inicia - Identificar	si se requiere envio de Notificación EDI (Electronic Data Interchange)

$sql_EDI = mysql_query("select CORREO1 from wms_configura_edi WHERE CVE_CUENTA='$CveCueCR1' AND TIPOINTERFAZEDI='RECIBO' AND ESTATUS='ACTIVA'");
if (mysql_numrows($sql_EDI)==0) 
{
	/// No existe Interfaz EDI
	///Confirmación y Direccionamiento
		echo "<script>alert('DOCUMENTO CERRADO CORRECTAMENTE');</script>";
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=38-CierreDocumentoRecibo4.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&NoComplekp=$NoDocCompleEn'>";
}
else
{
		echo "<script>alert('DOCUMENTO CERRADO CORRECTAMENTE');</script>";
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=38-CierreDocumentoRecibo-GeneraEDI.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&NoComplekp=$NoDocCompleEn'>";
}

///Termina - Identificar	si se requiere envio de Notificación EDI (Electronic Data Interchange)	
///#############################################################################################
			
?>

<!-- Termina Cuerpo de la Interfaz Gráfica -->

<?PHP
}//// Termina If Valiador de Recibo de Documento
}//// Termina If Valiador de Estado de Documento
}//// Termina If Valiador de Caducidad Documento
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>
</body>
</html>